public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Georgy Yakovlev" <gyakovlev@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-python/loguru/
Date: Mon, 15 Jul 2019 20:07:56 +0000 (UTC)	[thread overview]
Message-ID: <1563221269.6430bd61d0cb8db13a568972c42db94eed6d9bed.gyakovlev@gentoo> (raw)

commit:     6430bd61d0cb8db13a568972c42db94eed6d9bed
Author:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
AuthorDate: Mon Jul 15 20:07:20 2019 +0000
Commit:     Georgy Yakovlev <gyakovlev <AT> gentoo <DOT> org>
CommitDate: Mon Jul 15 20:07:49 2019 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6430bd61

dev-python/loguru: bump to 0.3.1

Package-Manager: Portage-2.3.69, Repoman-2.3.16
Signed-off-by: Georgy Yakovlev <gyakovlev <AT> gentoo.org>

 dev-python/loguru/Manifest            |  1 +
 dev-python/loguru/loguru-0.3.1.ebuild | 47 +++++++++++++++++++++++++++++++++++
 2 files changed, 48 insertions(+)

diff --git a/dev-python/loguru/Manifest b/dev-python/loguru/Manifest
index ebafdee512a..3e89eed5c55 100644
--- a/dev-python/loguru/Manifest
+++ b/dev-python/loguru/Manifest
@@ -1 +1,2 @@
 DIST loguru-0.2.6_pre20190412.tar.gz 362315 BLAKE2B 8273fd42522396d4a17c405bebf01f8de272a56515e4a63766126494b4449333e7c25f5be5851bdbcf922d35affa9ee091ac7138482f9e2daf30f48093cee812 SHA512 49320c19f2bfdc55569290740b49889133003329dbf6cae2e993730a957d69e5200b41b75d255d2e19d937658778945ffe44350431661162eaa6141edfcfc499
+DIST loguru-0.3.1.tar.gz 377834 BLAKE2B 4402a6dfd8e36efb966eb0f31ba2161183c03a7072f45ef86110587b1f3653e4711c0461d39d5e0047fb7b84c7da417c011644ffee815f82bf1f4847588b17b8 SHA512 b0b75aa265839be0a522101671bf9992c1fe548439988a5c2feb58702be77944137e4f78920ec5dd4fe5953daf7160714a4de940527d0987dba4907ac27a0e15

diff --git a/dev-python/loguru/loguru-0.3.1.ebuild b/dev-python/loguru/loguru-0.3.1.ebuild
new file mode 100644
index 00000000000..f3f34085887
--- /dev/null
+++ b/dev-python/loguru/loguru-0.3.1.ebuild
@@ -0,0 +1,47 @@
+# Copyright 2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{5,6,7} )
+
+inherit distutils-r1
+
+DESCRIPTION="Python logging made (stupidly) simple"
+HOMEPAGE="https://github.com/Delgan/loguru"
+SRC_URI="https://github.com/Delgan/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc test"
+
+RDEPEND=">=dev-python/colorama-0.3.4[${PYTHON_USEDEP}]"
+
+DEPEND="
+	doc? (
+		dev-python/sphinx[${PYTHON_USEDEP}]
+		dev-python/sphinx_rtd_theme[${PYTHON_USEDEP}]
+	)
+	test? (
+		${RDEPEND}
+		>=dev-python/colorama-0.3.4[${PYTHON_USEDEP}]
+		>=dev-python/pytest-4.5.0[${PYTHON_USEDEP}]
+	)
+"
+
+BDEPEND="dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_compile_all() {
+	use doc && esetup.py build_sphinx
+}
+
+python_install_all() {
+	use doc && HTML_DOCS=( "${BUILD_DIR}"/sphinx/html/. )
+	distutils-r1_python_install_all
+}
+
+python_test() {
+	distutils_install_for_testing
+	pytest -vv || die "Tests failed with ${EPYTHON}"
+}


             reply	other threads:[~2019-07-15 20:08 UTC|newest]

Thread overview: 22+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2019-07-15 20:07 Georgy Yakovlev [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-06-29 14:40 [gentoo-commits] repo/gentoo:master commit in: dev-python/loguru/ Arthur Zamarin
2024-02-14 16:55 Michał Górny
2024-02-14 16:55 Michał Górny
2023-04-11 17:25 Michał Górny
2023-04-11  3:14 Michał Górny
2023-02-21 12:34 Michał Górny
2023-02-17  8:52 Sam James
2022-05-16 13:11 Michał Górny
2021-04-18  0:36 Georgy Yakovlev
2020-09-21 22:51 Georgy Yakovlev
2020-09-18 15:19 Michał Górny
2020-09-08  4:59 Georgy Yakovlev
2020-06-13  6:26 Georgy Yakovlev
2020-03-27 21:06 Michał Górny
2020-02-29 23:06 Georgy Yakovlev
2020-01-01 21:18 Georgy Yakovlev
2020-01-01  3:22 Georgy Yakovlev
2019-08-22  1:06 Georgy Yakovlev
2019-08-22  1:06 Georgy Yakovlev
2019-08-22  1:06 Georgy Yakovlev
2019-04-29 19:38 Georgy Yakovlev

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1563221269.6430bd61d0cb8db13a568972c42db94eed6d9bed.gyakovlev@gentoo \
    --to=gyakovlev@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox